#ifndef __BROWSERCONTROL_HPP
#define __BROWSERCONTROL_HPP

#define TARGET_BUILD_DEBUG
#include <SophiaFramework.hpp>
#include "SFZWebBrowserControlEx.h.hpp"

SFMTYPEDEFRESPONDER(BrowserControl)
class BrowserControl : public SFZWebBrowserControlEx
{
    SFMSEALRESPONDER(BrowserControl)
    SFMRESPONDERINSTANTIATEFOUR(BrowserControl, SFZWebBrowserControlEx, SFYControl, SFYWidget, SFYResponder)
public:
    static BrowserControlSmp NewInstance(SFCErrorPtr exception = null);

protected:

    // RXgN^ƃfXgN^̐錾
    explicit BrowserControl(Void) static_throws;
    virtual ~BrowserControl(Void);

private:

    // uEŨnh̐錾
	virtual Bool ResponseNotifyHandler(ResponseNotifyConstRef notify);
    virtual Void DoneNotifyHandler(DoneNotifyConstRef notify);

};

#endif // __BROWSERCONTROL_HPP //
